Subject: guix-daemon was freezed
From: [email-masked]
To: "bug-guix" <[email-masked]>
Date: Thu, 02 May 2019 05:44:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Yesterday, I ran updates with `guix pull && guix package -u`. My laptop warked all night long.
But this morning, I've discovered the update process stops without life on this step:

$ guix pull && guix package -u
...
downloading from https://ci.guix.info/nar/gzip/zqfbh4whwrzzhqa811i43dggyqh2lmwx-libevent-2.1.8...
 libevent-2.1.8 787KiB 787KiB/s 00:01 [##################] 100.0%

building /gnu/store/9y4j59sbxg9igj774q8r04vz31c5clrc-bitcoin-core-0.17.1.drv...
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%

I think the Internet connection was the reason.
I stopped guix process and tryed to delete bitcoin-core, but this was not going again:

$ guix package -r bitcoin-core
The following package will be removed:
 bitcoin-core 0.17.1 /gnu/store/3gi4m4c2x1hybxlxnh5ll7s474mzz0lj-bitcoin-core-0.17.1

^C^C

After that I typed remove fluidsynth in other terminal and the process was not going again:

$ guix package -r fluidsynth
The following package will be removed:
 fluidsynth 2.0.4 /gnu/store/6zpn2p85412dalq7bpfz6sv89pg0hfsp-fluidsynth-2.0.4

^C

So, there I reconnect to Internet and restart guix-daemon with `# herd restart guix-daemon`, and everything goes fine.

I think it is a bug, cause guix-daemon did not delete packages. Some blocks present there when Internet goes down.